NumberFormatException bei Nutzung von openjdk version "11.0.7-ea"

Hier gibt es Support zu den Plugin der neuesten Generation des Hibiscus-Mashup Projekts von Sebastian Richter
AndreasWagner
Beiträge: 5
Registriert: Mi 22. Jun 2016, 16:07

Re: NumberFormatException bei Nutzung von openjdk version "11.0.7-ea"

Beitrag von AndreasWagner » Mo 25. Mai 2020, 12:17

Hallo!

Ich nutze openjdk version "11.0.7-ea" und bekomme beim Abruf der Umsätze eine NumberFormatException.

Hier die Ausgabe von "java -version":

Code: Alles auswählen

openjdk version "11.0.7-ea" 2020-04-14
OpenJDK Runtime Environment (build 11.0.7-ea+9-post-Debian-1)
OpenJDK 64-Bit Server VM (build 11.0.7-ea+9-post-Debian-1, mixed mode, sharing)
Hier der Stack-Trace des Fehlers:

Code: Alles auswählen

[21.05.2020 13:01:06] System-Info: OS[Linux (ver. 5.5.0-2-amd64) amd64] Platform[Jameica 2.8.4 | Build: 453 vom 20190211] Plugin[hibiscus 2.8.23 | Build: 387 vom 20200114]
[21.05.2020 13:01:06] Installierte und aktive Plugin-Versionen: [Finance.Websync ver. 0.9.10 | Build: 564 vom 20200224] [Hibiscus Mashup ver. 0.9.10 | Build: 372 vom 20200224]
[21.05.2020 13:01:06] Überprüfe Java-Version und den verwendeten Zeichensatz ...
[21.05.2020 13:01:06] Fehler: Versionschecks fehlerhaft (JavaVersion): java.lang.NumberFormatException: For input string: "7-ea"
at java.base/jdk.internal.math.FloatingDecimal.readJavaFormatString(FloatingDecimal.java:2054)
at java.base/jdk.internal.math.FloatingDecimal.parseFloat(FloatingDecimal.java:122)
at java.base/java.lang.Float.parseFloat(Float.java:455)
at de.derrichter.finance.websync.utils.check.JavaVersion.check(JavaVersion.java:148)
at de.derrichter.hibiscus.mashup.crossover.websync.WebSynchronizeBackend$WebSyncJobGroup.sync(WebSynchronizeBackend.java:300)
at de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend$Worker.run(AbstractSynchronizeBackend.java:407)
at de.willuhn.jameica.gui.GUI$7.run(GUI.java:1060)
Mit freundlichen Grüßen,
Andreas Wagner

Zurück zu „Hibiscus Mashup über Finance.Websync - (Beta 0.x = neue Release 3 der alten Scripte)“